Guide til byg, test og codecoverage af Stamdata
===============================================

Dette er et midlertidigt dokument der senere skal flettes ind i den word-baserede dokumentation for projektet.
Den bliver ikke skrevet direkte deri, da denne i øjeblikket er under kraftig omskrivning.

Byg uden tests
--------------

Hele projektet kan bygges med kommandoen

    mvn clean package -DskipTests

Integrationtests
----------------

Inden de fulde integrationstests kan køres skal der være opsat en fungerende database.
Dette gøres lettest ved at køre et target fra maven scripts.
Dette target antager at der er en fungerende MySQL database på localhost, samt at denne har en bruger "sdm" med kodeordet "papkasse".
Hvis dette er tilfældet vil følgende kommando oprette de fornødne databaser samt foretage unit såvel som integrationstest

    mvn -Dmaven.test.failure.ignore=false clean verify -PdropAndCreateDB -Ddb.username=<bruger> -Ddb.password=<kodeord>

hvor <bruger> og <kodeord> er for en bruger der har ret til at slette oprette 
databaser. Som standard er de sat til "root" uden kodeord.


Code coverage
-------------

Code coverage skal ligeledes måles med en database samt med integrationstests.
De nødvendige betingelser for MySQL databasen på localhost er som beskrevet ovenfor.

Udførsel af tests samt generering af HTML rapporter sker ved kommandoen

    mvn -Pparent,default clean install cobertura:cobertura site

De generede rapporters placering kan findes ved at udføre

    find . -name index.html | grep cobertura

og åbnes på Mac OS med kommandoen

   find . -name index.html | grep cobertura | xargs open


Version af dokument
-------------------

0.1 2011-10-28 Første version af dokumentet /tgk@trifork.com
0.2 2011-12-29 Mindre ændringer af stavefejl /tgk@trifork.com
0.3 2012-03-04 Ændret subjectSerialNumbers property til at være en række i whitelist_config i databasen.