USE sdm_warehouse;

-- Til integrationstest af registerVersion-kolonne

INSERT INTO SKRSViewMapping (register, datatype, version, registerVersion, tableName, createdDate) VALUES ('yderregister', 'yder', 3, 2, 'Yderregister_v3', NOW());
INSERT INTO SKRSColumns (viewMap, isPID, tableColumnName, feedColumnName, feedPosition, dataType, maxLength) VALUES
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 1, 'PID',        NULL,             0,  -5, NULL),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'Id',         'Id',             1,  12, 32),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'HistIdYder', 'HistIdYder',     2,  12, 16),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'AmtKodeYder', 'AmtKodeYder',   3,  12, 2),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'AmtTxtYder', 'AmtTxtYder',     4,  12, 60),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'YdernrYder', 'YdernrYder',     5,  12, 6),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'PrakBetegn', 'PrakBetegn',     6,  12, 50),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'AdrYder', 'AdrYder',           7,  12, 50),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'PostnrYder', 'PostnrYder',     8,  12, 4),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'PostdistYder', 'PostdistYder', 9,  12, 20),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'TilgDatoYder', 'TilgDatoYder', 10, 12, 8),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'AfgDatoYder', 'AfgDatoYder',   11, 12, 8),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'HvdSpecKode', 'HvdSpecKode',   12, 12, 2),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'HvdSpecTxt', 'HvdSpecTxt',     13, 12, 60),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'HvdTlf', 'HvdTlf',             14, 12, 8),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'EmailYder', 'EmailYder',       15, 12, 50),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'WWW', 'WWW',                   16, 12, 78),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'ModifiedDate', 'ModifiedDate', 17, 93, 12),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'ValidFrom', 'ValidFrom',       18, 93, 12),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='yder' AND version=3 AND registerVersion=2), 0, 'ValidTo', 'ValidTo',           19, 93, 12);

INSERT INTO SKRSViewMapping (register, datatype, version, registerVersion, tableName, createdDate) VALUES ('yderregister', 'person', 3, 2, 'YderregisterPerson_v3', NOW());
INSERT INTO SKRSColumns (viewMap, isPID, tableColumnName, feedColumnName, feedPosition, dataType, maxLength) VALUES
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 1, 'PID',           NULL,                0,  -5, NULL),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'Id',           'Id',                 1,  12, 32),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'HistIdPerson', 'HistIdPerson',       2,  12, 16),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'YdernrPerson', 'YdernrPerson',       3,  12, 6),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'TilgDatoPerson', 'TilgDatoPerson',   4,  12, 8),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'AfgDatoPerson', 'AfgDatoPerson',     5,  12, 8),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'CprNr', 'CprNr',                     6,  12, 10),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'PersonrolleKode', 'PersonrolleKode', 7,  12, 2),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'PersonrolleTxt', 'PersonrolleTxt',   8,  12, 60),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'ModifiedDate', 'ModifiedDate',       9,  93, 12),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'ValidFrom', 'ValidFrom',             10, 93, 12),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='yderregister' AND datatype='person' AND version=3 AND registerVersion=2), 0, 'ValidTo', 'ValidTo',                 11, 93, 12);
