USE sdm_warehouse;

-- The nationalRoles table, for test purposes.

CREATE TABLE IF NOT EXISTS nationalRoles (
    PID BIGINT(15) NOT NULL AUTO_INCREMENT PRIMARY KEY,
    nrKey VARCHAR(32) NOT NULL,
    ssn VARCHAR(64) NOT NULL,
    externalName VARCHAR(255) NOT NULL,
    CreatedDate DATETIME NOT NULL,
    ModifiedDate DATETIME NOT NULL,
    ValidFrom DATETIME NOT NULL,
    ValidTo DATETIME NOT NULL,
    INDEX (ssn, ValidTo, ValidFrom)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
