USE sdm_warehouse;

-- Udstilling af nationale roller fra sebimporter

INSERT INTO SKRSViewMapping (register, datatype, version, registerVersion, tableName, createdDate) VALUES ('nationalRoles', 'nationalRolePerson', 1, 1, 'nationalRoles', NOW());
INSERT INTO SKRSColumns (viewMap, isPID, tableColumnName, feedColumnName, feedPosition, dataType, maxLength) VALUES
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='nationalRoles' AND datatype='nationalRolePerson' AND version=1 AND registerVersion=1), 1, 'PID',        NULL,             0,  -5, NULL),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='nationalRoles' AND datatype='nationalRolePerson' AND version=1 AND registerVersion=1), 0, 'nrKey',         'nrKey',             1,  12, 32),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='nationalRoles' AND datatype='nationalRolePerson' AND version=1 AND registerVersion=1), 0, 'ssn', 'ssn',     2,  12, 64),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='nationalRoles' AND datatype='nationalRolePerson' AND version=1 AND registerVersion=1), 0, 'externalName', 'externalName',   3,  12, 255),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='nationalRoles' AND datatype='nationalRolePerson' AND version=1 AND registerVersion=1), 0, 'CreatedDate', 'CreatedDate',     4,  93, 12),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='nationalRoles' AND datatype='nationalRolePerson' AND version=1 AND registerVersion=1), 0, 'ModifiedDate', 'ModifiedDate', 5, 93, 12),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='nationalRoles' AND datatype='nationalRolePerson' AND version=1 AND registerVersion=1), 0, 'ValidFrom', 'ValidFrom',       6, 93, 12),
((SELECT idSKRSViewMapping FROM SKRSViewMapping WHERE register='nationalRoles' AND datatype='nationalRolePerson' AND version=1 AND registerVersion=1), 0, 'ValidTo', 'ValidTo',           7, 93, 12);